Page MenuHomePhabricator

Add "Pageviews by Country" AQS endpoint
Closed, ResolvedPublic13 Story Points

Description

In order to have pageviews country data on Wikistats we need a new AQS endpoint that pulls daily and monthly data from Cassandra.

Event Timeline

fdans created this task.Nov 28 2017, 4:10 PM
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Nov 29 2017, 4:00 PM
mobrovac added a subscriber: mobrovac.

PR #940 adds top-by-country to the public API. It has been merged and will go out tomorrow.

Mentioned in SAL (#wikimedia-operations) [2018-01-10T12:55:37Z] <mobrovac@tin> Started deploy [restbase/deploy@a2aabfb]: API: add top-by-country, change recommendation route, fix duplicates in onthisday - T181520 T170877 T175974

Mentioned in SAL (#wikimedia-operations) [2018-01-10T13:03:37Z] <mobrovac@tin> Finished deploy [restbase/deploy@a2aabfb]: API: add top-by-country, change recommendation route, fix duplicates in onthisday - T181520 T170877 T175974 (duration: 08m 00s)

The public API endpoint has been deployed.

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jan 10 2018, 1:07 PM
Nuria added a comment.Jan 10 2018, 5:14 PM

Let's add a link to docs to this ticket

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jan 19 2018, 11:37 AM
Nuria changed the point value for this task from 8 to 13.Feb 12 2018, 3:55 PM
Nuria closed this task as Resolved.Feb 12 2018, 5:16 PM